// DemoDlg.h : header file
//

#if !defined(AFX_DEMODLG_H__B4D0FED3_A3F7_4BB3_A30B_B40082FBFBDC__INCLUDED_)
#define AFX_DemoDLG_H__B4D0FED3_A3F7_4BB3_A30B_B40082FBFBDC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDemoDlg dialog

class CDemoDlg : public CDialog
{
// Construction
public:
	void StrToHex(unsigned char *str,unsigned char *hex,int cnt);
	void DisplayTagData(int cnt,int tag_len,int start_index);
	void AddOprationInfo(CString s);
	int  WriteLogFile(CString logmsg);
	CDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDemoDlg)
	enum { IDD = IDD_DEMO_DIALOG };
	CButton	m_Setout_Btn;
	CComboBox	m_PowerSet;
	CComboBox	m_Freq;
	CIPAddressCtrl	m_LocalIP;
	CComboBox	m_E_IsoCnt;
	CComboBox	m_E_IsoAddr;
	CComboBox	m_SelectISO;
	CComboBox	m_SelectEPC;
	CButton	m_EpcKill;
	CButton	m_Ch4;
	CButton	m_Ch3;
	CButton	m_Ch2;
	CButton	m_Ch1;
	CButton	m_B_AntSet;
	CButton	m_B_AntQuery;
	CButton	m_B_EpcInit;
	CEdit	m_E_EpcData;
	CEdit	m_E_IsoData;
	CListBox	m_ListData;
	CComboBox	m_C_IsoInterval;
	CComboBox	m_C_EpcWordPtr;
	CComboBox	m_C_EpcWordCnt;
	CComboBox	m_C_EpcTimes;
	CComboBox	m_C_EpcMembank;
	CComboBox	m_C_EpcInterval;
	CComboBox	m_C_Port;
	CComboBox	m_C_IsoTimes;
	CComboBox	m_C_Baudrate;
	CComboBox	m_C_ReadAddr;
	CButton	m_B_IsoWrite;
	CButton	m_B_IsoStop;
	CButton	m_B_IsoRead;
	CButton	m_B_IsoQuery;
	CButton	m_B_IsoLock;
	CButton	m_B_IsoId;
	CButton	m_B_EpcWrite;
	CButton	m_B_EpcStop;
	CButton	m_B_EpcRead;
	CButton	m_B_EpcLock;
	CButton	m_B_EpcId;
	CButton	m_B_Discon;
	CButton	m_B_Con;
	CButton	m_B_Clear;
	CString	m_EpcData;
	CString	m_IsoData;
	CString	m_password;
	BOOL	m_Check6B;
	BOOL	m_CheckEPC;
	CString	m_LocalPort;
	BOOL	m_Ant1;
	BOOL	m_Ant2;
	BOOL	m_Ant3;
	BOOL	m_Ant4;
	BOOL	m_Ant5;
	BOOL	m_Ant6;
	BOOL	m_Ant7;
	BOOL	m_Ant8;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	UINT m_IsoAddr;
	UINT m_IsoCnt;

	// Generated message map functions
	//{{AFX_MSG(CDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCon();
	afx_msg void OnDiscon();
	afx_msg void OnClose();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnIsoId();
	afx_msg void OnIsoStop();
	afx_msg void OnClear();
	afx_msg void OnChangePower();
	afx_msg void OnIsoRead();
	afx_msg void OnChangeIsoAddr();
	afx_msg void OnChangeIsoCnt();
	afx_msg void OnIsoWrite();
	afx_msg void OnIsoLock();
	afx_msg void OnIsoQuery();
	afx_msg void OnEpcId();
	afx_msg void OnEpcStop();
	afx_msg void OnEpcRead();
	afx_msg void OnInit();
	afx_msg void OnEpcWrite();
	afx_msg void OnEpcLock();
	afx_msg void OnEpcKill();
	afx_msg void OnSavelog();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnBtnQuery();
	afx_msg void OnBtnSetting();
	afx_msg void OnBtnSetout();
	afx_msg void OnBtnReset();
	afx_msg void OnEpcFastwrite();
	afx_msg void OnBtnGetant();
	afx_msg void OnBtnSetant();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DemoDLG_H__B4D0FED3_A3F7_4BB3_A30B_B40082FBFBDC__INCLUDED_)
